# CraftBook Configuration for Bukkit. Generated for version: 3.9-SNAPSHOT-5d70ea6a9
# This configuration will automatically add new configuration options for you,
# So there is no need to regenerate this configuration unless you need to.
# More information about these features are available at...
# http://wiki.sk89q.com/wiki/CraftBook/Usage
#
# NOTE! NOTHING IS ENABLED BY DEFAULT! ENABLE FEATURES TO USE THEM!


# List of mechanics to enable! If they aren't in this list, the server won't load them!
enabled-mechanics:
- Variables
- Bookcase
- Gate

# A list of CraftBook mechanics that are disabled, for easy copy/pastability to the enabled list.
disabled-mechanics:
- AI
- Ammeter
- BetterLeads
- BetterPhysics
- BetterPistons
- BetterPlants
- BoatDecay
- BoatDrops
- BoatExitRemover
- BoatRemoveEntities
- BoatSpeedModifiers
- BoatUncrashable
- BoatWaterPlaceOnly
- BounceBlocks
- Bridge
- Cauldron
- Chairs
- ChunkAnchor
- CommandItems
- CommandSigns
- CookingPot
- CustomCrafting
- CustomDrops
- DispenserRecipes
- Door
- Elevator
- Footprints
- Glowstone
- HeadDrops
- HiddenSwitch
- ICs
- JackOLantern
- Jukebox
- LandBoats
- LegacyCauldron
- LegacyCustomDrops
- LightStone
- LightSwitch
- MapChanger
- Marquee
- MinecartBooster
- MinecartCollisionEntry
- MinecartConstantSpeed
- MinecartDecay
- MinecartDeposit
- MinecartDispenser
- MinecartEjector
- MinecartElevator
- MinecartEmptySlowdown
- MinecartExitRemover
- MinecartFallModifier
- MinecartItemPickup
- MinecartMaxSpeed
- MinecartMessenger
- MinecartMobBlocker
- MinecartMoreRails
- MinecartNoCollide
- MinecartPlaceAnywhere
- MinecartRailPlacer
- MinecartRemoveEntities
- MinecartReverser
- MinecartSorter
- MinecartSpeedModifiers
- MinecartStation
- MinecartTeleporter
- MinecartTemporaryCart
- MinecartVisionSteering
- Netherrack
- PaintingSwitcher
- Pay
- Pipes
- SignCopier
- Snow
- Sponge
- Teleporter
- ToggleArea
- TreeLopper
- XPStorer

# WARNING! Changing this can result in all ST mechanics acting very weirdly, only change this if you know what you are doing!
st-think-ticks: 2

# Causes many mechanics to require sufficient blocks to function, for example gates, bridges and doors.
safe-destruction: true

# If on, OP's will not default to have access to everything.
no-op-permissions: false

# Allows redstone not directly facing a mechanism to trigger said mechanism.
indirect-redstone: false

# Rounds all distance equations to the block grid.
use-block-distance: false

# Checks to see if WorldGuard allows building/using in the area when activating mechanics.
check-worldguard-flags: true

# Use advanced methods to detect if a player can build or not. Use this if you use region protections other than WorldGuard, or experience issues with WorldGuard protection. This can add extra entries to Block Logging plugins when a mechanic is broken/placed.
advanced-block-checks: true

# In conjunction with advanced-block-checks, this option adds a few extra checks if you are experiencing compatibility issues with certain plugins that stop breaks/places/interacts.
pedantic-block-checks: false

# Make sure a player can only press signs so often.
sign-click-timeout: 10

# The default language for CraftBook. Note: This language needs to be in the 'languages' field for this to work.
language: en_US

# A list of languages supported by craftbook, if a user requests a language not listed... They will see default.
languages:
- en_US

# If enabled, CraftBook will scan messages sent to players for localizable text, instead of just checking if the entire message is localizable.
scan-text-for-localization: false

# Enable a mode that will print extra debug information to the console.
debug-mode: false

# Causes all debug mode output to be logged into a file. This file is reset every startup (And every /cb reload).
debug-mode-file-logging: false

# Enable certain debug types when debug mode is enabled.
debug-flags: []

# Enables random easter eggs. Can be from console messages on startup for a special occasion, to funny little effects with IC's and other mechanics (Always harmless, won't mess anything up)
easter-eggs: false

# Random numbers are much more random, with a small cost to CPU usage.
realistic-randoms: false

# Show messages when a player does not have permission to do something.
show-permission-messages: true

# PersistentStorage stores data that can be accessed across server restart. Method of PersistentStorage storage (Note: DUMMY is practically off, and may cause issues). Can currently be any of the following: YAML, DUMMY, SQLite
persistent-storage-type: YAML

# Causes mechanics to attempt to convert names to use CBIDs. This can and should be disabled after you believe your servers transition to UUIDs v Names is complete.
convert-names-to-cbids: false
